package io

import "edgaru089.ink/go/gl01/internal/util"

var (
	MainConfig struct {
		WindowWidth, WindowHeight int
		FramerateLimit            int // 0: vsync, -1: unlimited
	}
)

func LoadConfig() (err error) {

	err = util.LoadJSON("main.cfg.json", &MainConfig)
	if err != nil {
		return
	}

	return
}
